#include <linux/init.h>
#include <linux/module.h>
#include "md.h"

MODULE_LICENSE( "GPL" );
MODULE_AUTHOR( "Oleg Tsiliuric <olej@front.ru>" );

static int __init hello_init( void ) {
   printk( "module 'md2' start!\n" );
   printk( "string from module 'md1' is: %s\n", m1_data );
   return 0;
}

static void __exit hello_exit( void ) {
   printk( "module 'md2' unload!\n" );
}

module_init( hello_init );
module_exit( hello_exit );

